Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class RequestCache

    java.lang.Object
      |
      +--com.macromedia.generator.app.GenCache
            |
            +--com.macromedia.generator.app.RequestCache

public class RequestCache
extends GenCache

Field Summary
`protected boolean` | `mForce`

Fields inherited from class com.macromedia.generator.app.GenCache
`kLineBreak, mCurrentSize, mDefaultExpire, mDynamicMaintanence, mIndex, mLog, mMaxSize, mRecycle`

Constructor Summary
`RequestCache(long l, boolean flag, boolean flag1, long l1, CacheLog cachelog)`

Method Summary
`protected boolean` | `addRequest(java.lang.String s, Buffer buffer, boolean flag, long l)`
`protected RequestCacheValue` | `getCacheRequest(java.lang.String s)`
`boolean` | `getForce()`
`protected Buffer` | `getMatchingRequestBuffer(java.lang.String s)`
`protected void` | `logCacheMessage(java.lang.String s, int i)`
`protected boolean` | `setCacheRequest(RequestCacheValue requestcachevalue, long l)`
`void` | `setForce(boolean flag)`
`protected boolean` | `verifyCacheValue(GenCacheEntry gencacheentry)`
`protected boolean` | `verifyRequestCacheValue(RequestCacheValue requestcachevalue)`

Methods inherited from class com.macromedia.generator.app.GenCache
`dispose, existsCacheEntry, expireCacheEntries, finalize, freeCacheItems, freeCacheSpace, getCacheValue, getDefaultExpire, getLock, getMaxSize, getRecycle, getResString, isCacheEnabled, isCacheEntryExpired, logHitCounts, purge, removeCacheEntry, removeCacheValue, setCacheEntry, setCacheValue, setDefaultExpire, setLock, setMaxSize, setRecycle`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mForce

    protected boolean mForce

Constructor Detail

### RequestCache

    public RequestCache(long l,
                        boolean flag,
                        boolean flag1,
                        long l1,
                        CacheLog cachelog)

Method Detail

### addRequest

    protected boolean addRequest(java.lang.String s,
                                 Buffer buffer,
                                 boolean flag,
                                 long l)

### getCacheRequest

    protected RequestCacheValue getCacheRequest(java.lang.String s)

### getForce

    public boolean getForce()

### getMatchingRequestBuffer

    protected Buffer getMatchingRequestBuffer(java.lang.String s)

### logCacheMessage

    protected void logCacheMessage(java.lang.String s,
                                   int i)

  Overrides:
    `logCacheMessage` in class `GenCache`

### setCacheRequest

    protected boolean setCacheRequest(RequestCacheValue requestcachevalue,
                                      long l)

### setForce

    public void setForce(boolean flag)

### verifyCacheValue

    protected boolean verifyCacheValue(GenCacheEntry gencacheentry)

  Overrides:
    `verifyCacheValue` in class `GenCache`

### verifyRequestCacheValue

    protected boolean verifyRequestCacheValue(RequestCacheValue requestcachevalue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD